Bug 241690 - (CVE-2007-2693) CVE-2007-2693 An error message discloses sensitive information to user without SELECT privilege
CVE-2007-2693 An error message discloses sensitive information to user withou...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://bugs.mysql.com/bug.php?id=23675
impact=low,source=gentoo,reported=200...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-29 11:59 EDT by Lubomir Kundrak
Modified: 2007-08-30 10:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-13 08:13:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-05-29 11:59:33 EDT
Description of problem:

Certain ALTER TABLE SQL statements produce an error message that contains
information normally visible only to users with SELECT privilege.

Version-Release number of selected component (if applicable):

MySQL before 5.1.18
Comment 3 Stefan Cornelius 2007-06-13 07:51:58 EDT
are you guys sure about this? fc6 and f7 seems to ship mysql 5.0.something. the
partitions (which are important for this issue) are, afaik, actually a new
feature of 5.1.x, which is beta/unstable - so only unstable mysql 5.1 versions
prior to 5.1.18 are affected and we dodged the bullet here?
Comment 4 Lubomir Kundrak 2007-06-13 08:06:49 EDT
Stefan: thanks for the notice. I don't even know what partitioned tables are,
so I trusted what CVE read, and it was "MySQL before 5.1.18".

FC7        mysql-5.0.37-2.fc7
FC6        mysql-5.0.27-1.fc6
FC5        mysql-5.0.27-1.fc5
RHEL5      mysql-5.0.22-2.1
RHEL4      mysql-4.1.20-2.RHEL4.1
RHEL3      mysql-3.23.58-16.RHEL3.1
RHEL2.1    mysql-3.23.58-1.72.2

Note You need to log in before you can comment on or make changes to this bug.